Skip to content

WebAPI.Host (3.0)

Download OpenAPI description
Languages
Servers
Mock server

https://{{your_venus_webapi_ip_address}}/

Cameras

Operations

Devices

Operations

ErrorHandler

Operations

Files

Operations

InstrumentData

Operations

RunExecutor

Operations

Analyze the method file.

Request

Security
Bearer
Body

Hamilton.WebAPI.Common.AnalyzeMethodContract

methodFilePathstring
curl -i -X POST \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/execution/analyze' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json; x-api-version=3.0' \
  -d '{
    "methodFilePath": "string"
  }'

Responses

Returns Hamilton.WebAPI.Common.CmdResult object.

Body
resultbooleanread-only
messagestringread-only
resetRunExecboolean
Response
{ "result": true, "message": "string", "resetRunExec": true }

Analyze the method package file.

Request

Security
Bearer
Query
archivePathstring

path to the .hamPackage file

Body

Files are included or excluded to the import path specified in the options

includeOriginalFilesboolean
importModeinteger(int32)(ImportMode)

Possible values:

  • 0 - SystemDefault
  • 1 - Recovery
  • 2 - SubdirectoryOfSystemDefault
  • 3 - UserDefined
Enum0123
directoryOptionArray of objects(Collection<DirectoryOption>)
curl -i -X POST \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/execution/analyze-method-package?archivePath=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json; x-api-version=3.0' \
  -d '{
    "includeOriginalFiles": true,
    "importMode": 0,
    "directoryOption": [
      {
        "directoryKey": 0,
        "pathValue": "string"
      }
    ]
  }'

Responses

Returns list of Hamilton.WebAPI.Common.FileConflict object.

BodyArray [
sourcestring
sourceLastModifiedstring(date-time)
targetstring
targetLastModifiedstring(date-time)
conflictTypeinteger(int32)(ImportConflictType)

Possible values:

  • 0 - None
  • 1 - Size
  • 2 - NewerSource
  • 4 - OlderSource
  • 5 - FileExists
Enum01245
itemTypeinteger(int32)(ItemType)

Possible values:

  • 0 - Void
  • 1 - SystemConfig
  • 2 - InstrumentConfig
  • 3 - InstrumentOptional
  • 4 - Method
  • 5 - Library
  • 6 - Labware
  • 7 - Other
  • 8 - AdditionalDependency
  • 9 - Graphic
  • 10 - LiquidDB
  • 11 - PathData
Enum0123456789
]
Response
[ { "source": "string", "sourceLastModified": "2019-08-24T14:15:22Z", "target": "string", "targetLastModified": "2019-08-24T14:15:22Z", "conflictType": 0, "itemType": 0 } ]

Load the method file.

Request

Method cannot be started until the Initialized event is fired.

Security
Bearer
Body

Hamilton.WebAPI.Common.LoadMethodContract

filePathstring
simulationboolean
parentWindowHandleinteger(int32)
curl -i -X PUT \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/execution/load' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json; x-api-version=3.0' \
  -d '{
    "filePath": "string",
    "simulation": true,
    "parentWindowHandle": 0
  }'

Responses

Returns Hamilton.WebAPI.Common.CmdResult object.

Body
resultbooleanread-only
messagestringread-only
resetRunExecboolean
Response
{ "result": true, "message": "string", "resetRunExec": true }

Use after LoadMethod() (parse) and before StartMethod() to initialize method variables.

Request

Method must be parsed and ready for execution; variables can only be set if the method state is Initialized or Paused.

Security
Bearer
Body

Hamilton.WebAPI.Common.SetVariablesContract

variableNamesArray of strings
variableValuesArray of any
curl -i -X PUT \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/execution/input' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json; x-api-version=3.0' \
  -d '{
    "variableNames": [
      "string"
    ],
    "variableValues": [
      null
    ]
  }'

Responses

Returns Hamilton.WebAPI.Common.CmdResult object.

Body
resultbooleanread-only
messagestringread-only
resetRunExecboolean
Response
{ "result": true, "message": "string", "resetRunExec": true }

Start the method.

Request

Security
Bearer
curl -i -X POST \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/execution/start' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns Hamilton.WebAPI.Common.CmdResult object.

Bodyapplication/json; x-api-version=3.0
resultbooleanread-only
messagestringread-only
resetRunExecboolean
Response
application/json; x-api-version=3.0
{ "result": true, "message": "string", "resetRunExec": true }

Pause the method.

Request

Security
Bearer
curl -i -X POST \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/execution/pause' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns Hamilton.WebAPI.Common.CmdResult object.

Bodyapplication/json; x-api-version=3.0
resultbooleanread-only
messagestringread-only
resetRunExecboolean
Response
application/json; x-api-version=3.0
{ "result": true, "message": "string", "resetRunExec": true }

Resume the method.

Request

Security
Bearer
curl -i -X POST \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/execution/resume' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns Hamilton.WebAPI.Common.CmdResult object.

Bodyapplication/json; x-api-version=3.0
resultbooleanread-only
messagestringread-only
resetRunExecboolean
Response
application/json; x-api-version=3.0
{ "result": true, "message": "string", "resetRunExec": true }

Abort the method.

Request

Security
Bearer
curl -i -X POST \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/execution/abort' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns Hamilton.WebAPI.Common.CmdResult object.

Bodyapplication/json; x-api-version=3.0
resultbooleanread-only
messagestringread-only
resetRunExecboolean
Response
application/json; x-api-version=3.0
{ "result": true, "message": "string", "resetRunExec": true }

Unload method.

Request

Side effect of unloading method results in cleaning up other s/w objects and recycling the run executor process.

Security
Bearer
curl -i -X POST \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/execution/unload-method' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns Hamilton.WebAPI.Common.CmdResult object.

Bodyapplication/json; x-api-version=3.0
resultbooleanread-only
messagestringread-only
resetRunExecboolean
Response
application/json; x-api-version=3.0
{ "result": true, "message": "string", "resetRunExec": true }

Get the run state.

Request

Security
Bearer
curl -i -X GET \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/execution/run-state' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns value of Hamilton.WebAPI.Common.RunState (enum).

Body
integer(int32)(RunState)

Possible values:

  • 0 - NotInitialized
  • 1 - Initialized
  • 2 - Running
  • 3 - Aborting
  • 4 - Aborted
  • 5 - Processed
  • 6 - Pausing
  • 7 - Paused
  • 8 - Starting
  • 9 - Terminating
  • 10 - Terminated
  • 11 - Unknown
Enum0123456789
Response
0

Get the current loaded method.

Request

Security
Bearer
curl -i -X GET \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/execution/loaded-method' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns currently-loaded method (fully-qualified path).

Body
string
Response
"string"

Gets detailed runtime information for currently-running method.

Request

Security
Bearer
curl -i -X GET \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/execution/current-run-data' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns Hamilton.WebAPI.Common.DetailedRuntimeInfo object.

Bodyapplication/json; x-api-version=3.0
methodNamestring
dbFileNamestring
runGuidstring
startTimestring(date-time)
endTimestring(date-time)
computerNamestring
runStatestring
durationnumber(double)read-only
userNamestring
instrumentsArray of objects(IList<InstrumentInfo>)
Response
application/json; x-api-version=3.0
{ "methodName": "string", "dbFileName": "string", "runGuid": "string", "startTime": "2025-07-17T21:40:15.402Z", "endTime": "2025-07-17T21:40:15.402Z", "computerName": "string", "runState": "string", "duration": 0, "userName": "string", "instruments": [ {} ] }

Gets realtime schedule information for current method execution.

Request

Security
Bearer
curl -i -X GET \
  'https://{{your_venus_webapi_ip_address}}/api/vector/v3/execution/realtime-schedule' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Returns Hamilton.WebAPI.Common.ScheduleData object.

Body
tasksArray of objects(IList<TaskData>)
resourcesArray of objects(IList<ResourceData>)
scheduleStateinteger(int32)(ScheduleState)

Possible values:

  • 0 - Closed
  • 1 - Opened
  • 2 - Planning
  • 3 - Scheduling
  • 4 - Scheduled
  • 5 - Controlling
  • 6 - Finished
Enum0123456
Response
{ "tasks": [ {} ], "resources": [ {} ], "scheduleState": 0 }

System

Operations

Users

Operations